﻿@using BenhVien.MODEL
@using BenhVien.UI.Models
@model NhapVien
<div class="modal-dialog" style="width:1250px; align-content:center">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Sổ theo dõi bệnh nhân</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1-modal">
            <input type="hidden"  id="NhapVienID" class="form-control" name="NhapVienID" autocomplete="off" value="@(Model != null ? Model.Id.ToString():"")">
            <div class="modal-body">
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Ngày thực hiện </label>
                        <div>
                            
                            <select class="ctr-select" data-live-search="true" name="TheoDoiID" id="TheoDoiID">
                                @Html.Raw(ViewBag.cbxDate)
                            </select>
                            

                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Trạng thái:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="TrangThaiID">
                                <option value="@EnumStatus.ACTIVE" @((Model != null && Model.TrangThaiID == EnumStatus.ACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.ACTIVE)</option>
                                <option value="@EnumStatus.INACTIVE" @((Model != null && Model.TrangThaiID == EnumStatus.INACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.INACTIVE)</option>
                            </select>

                        </div>
                    </div>

                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name"> Thông tin : </label>
                    </div>
                </div>
                <div id="details_list">
                </div>

            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save2" type="button" onclick="ChonTheoDoi()" class="btn btn-success" disabled="@(Model.TrangThaiID == EnumTrangThaiNhapVien.XUAT_VIEN || Model.TrangThaiID == EnumTrangThaiNhapVien.CHUYEN_TUYEN)">Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        @*if ($('[name=TrangThaiID]').val() == '@EnumTrangThaiKhamBenh.NOI_TRU') {
            $('#frm-capnhat1 button').attr("disabled", "true");
        }*@
    });

</script>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });

        var id = $('[name=TheoDoiID]').val();
        var params = {
            theodoiID: id,
        }
        $.ajax({
           url: '@Url.Action("ChiTietTheoDoiHangNgay", "NhapVien", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                $('#details_list').html(data);

            }
        });

    })
</script>
<script>
    $(document).on("change", "[name=TheoDoiID]", function () {
        debugger;
        var id = $('[name=TheoDoiID]').val();
        var params = {
            theodoiID: id,
        }
        $.ajax({
            url: '@Url.Action("ChiTietTheoDoiHangNgay", "NhapVien", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                $('#details_list').html(data);

            }
        });
    });
    $(document).ready(function () {
        $('#frm-capnhat1-modal').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            fields: {
                KhoaID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                PhongID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                GiuongID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                Mach: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                NhipTho: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                ChieuCao: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                NhietDo: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                CanNang: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                HuyetAp: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                Creatinin: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                BMI: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                TrangThaiID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                DienBienBenh: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                YLenhBacSi: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                DoThanhThai: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
            }
        })
    });

    function ChonTheoDoi() {
        $.ajax({
            url: '@Url.Action("SoTheoDoiHangNgay", "NhapVien", new { area = "QuanTri" })',
            type: 'POST',
            dataType: 'json',
            mimeType: "multipart/form-data",
            contentType: false,
            processData: false,
            async: false,
            cache: false,
            data: new FormData(document.getElementById('frm-capnhat1-modal')),
            success: function (data) {
                if (data.kq == "ok") {
                    debugger;
                    alertify.success(data.msg);
                    $('#modal-qltaikhoan').modal('hide');
                    location.reload();

                }
                else {
                    alertify.error(data.msg);
                    document.getElementById("btn-save1").disabled = false;
                    $("#btn-save1").removeClass("disabled");
                }
            }
        });
    }

</script>






